Package com.databricks.jdbc.client.impl.thrift.generated

## Class TFetchResultsReq

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TFetchResultsReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TFetchResultsReq>`, `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TFetchResultsReq
    extends Object
    implements org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>, Serializable, Cloneable, Comparable<TFetchResultsReq>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TFetchResultsReq._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`short` `fetchType`
`boolean` `includeResultSetMetadata`
`long` `maxBytes`
`long` `maxRows`
`static Map<TFetchResultsReq._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TOperationHandle` `operationHandle`
`TFetchOrientation` `orientation`
`long` `startRowOffset`

### Constructor Summary

Constructors
`TFetchResultsReq()`
`TFetchResultsReq​(TFetchResultsReq other)` Performs a deep copy on other.
`TFetchResultsReq​(TOperationHandle operationHandle, TFetchOrientation orientation, long maxRows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TFetchResultsReq other)`
`TFetchResultsReq` `deepCopy()`
`boolean` `equals​(TFetchResultsReq that)`
`boolean` `equals​(Object that)`
`TFetchResultsReq._Fields` `fieldForId​(int fieldId)`
`short` `getFetchType()`
`Object` `getFieldValue​(TFetchResultsReq._Fields field)`
`long` `getMaxBytes()`
`long` `getMaxRows()`
`TOperationHandle` `getOperationHandle()`
`TFetchOrientation` `getOrientation()`
`long` `getStartRowOffset()`
`int` `hashCode()`
`boolean` `isIncludeResultSetMetadata()`
`boolean` `isSet​(TFetchResultsReq._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetFetchType()` Returns true if field fetchType is set (has been assigned a value) and false otherwise
`boolean` `isSetIncludeResultSetMetadata()` Returns true if field includeResultSetMetadata is set (has been assigned a value) and false otherwise
`boolean` `isSetMaxBytes()` Returns true if field maxBytes is set (has been assigned a value) and false otherwise
`boolean` `isSetMaxRows()` Returns true if field maxRows is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationHandle()` Returns true if field operationHandle is set (has been assigned a value) and false otherwise
`boolean` `isSetOrientation()` Returns true if field orientation is set (has been assigned a value) and false otherwise
`boolean` `isSetStartRowOffset()` Returns true if field startRowOffset is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TFetchResultsReq` `setFetchType​(short fetchType)`
`void` `setFetchTypeIsSet​(boolean value)`
`void` `setFieldValue​(TFetchResultsReq._Fields field, Object value)`
`TFetchResultsReq` `setIncludeResultSetMetadata​(boolean includeResultSetMetadata)`
`void` `setIncludeResultSetMetadataIsSet​(boolean value)`
`TFetchResultsReq` `setMaxBytes​(long maxBytes)`
`void` `setMaxBytesIsSet​(boolean value)`
`TFetchResultsReq` `setMaxRows​(long maxRows)`
`void` `setMaxRowsIsSet​(boolean value)`
`TFetchResultsReq` `setOperationHandle​(TOperationHandle operationHandle)`
`void` `setOperationHandleIsSet​(boolean value)`
`TFetchResultsReq` `setOrientation​(TFetchOrientation orientation)`
`void` `setOrientationIsSet​(boolean value)`
`TFetchResultsReq` `setStartRowOffset​(long startRowOffset)`
`void` `setStartRowOffsetIsSet​(boolean value)`
`String` `toString()`
`void` `unsetFetchType()`
`void` `unsetIncludeResultSetMetadata()`
`void` `unsetMaxBytes()`
`void` `unsetMaxRows()`
`void` `unsetOperationHandle()`
`void` `unsetOrientation()`
`void` `unsetStartRowOffset()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### operationHandle

    public TOperationHandle operationHandle

#### orientation

    public TFetchOrientation orientation

See Also:
  `TFetchOrientation`

#### maxRows

    public long maxRows

#### fetchType

    public short fetchType

#### maxBytes

    public long maxBytes

#### startRowOffset

    public long startRowOffset

#### includeResultSetMetadata

    public boolean includeResultSetMetadata

#### metaDataMap

    public static final Map<TFetchResultsReq._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TFetchResultsReq

    public TFetchResultsReq()

#### TFetchResultsReq

    public TFetchResultsReq​(TOperationHandle operationHandle,
                            TFetchOrientation orientation,
                            long maxRows)

#### TFetchResultsReq

    public TFetchResultsReq​(TFetchResultsReq other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TFetchResultsReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`

#### getOperationHandle

    public TOperationHandle getOperationHandle()

#### setOperationHandle

    public TFetchResultsReq setOperationHandle​(TOperationHandle operationHandle)

#### unsetOperationHandle

    public void unsetOperationHandle()

#### isSetOperationHandle

    public boolean isSetOperationHandle()

Returns true if field operationHandle is set (has been assigned a value) and false otherwise

#### setOperationHandleIsSet

    public void setOperationHandleIsSet​(boolean value)

#### getOrientation

    public TFetchOrientation getOrientation()

See Also:
  `TFetchOrientation`

#### setOrientation

    public TFetchResultsReq setOrientation​(TFetchOrientation orientation)

See Also:
  `TFetchOrientation`

#### unsetOrientation

    public void unsetOrientation()

#### isSetOrientation

    public boolean isSetOrientation()

Returns true if field orientation is set (has been assigned a value) and false otherwise

#### setOrientationIsSet

    public void setOrientationIsSet​(boolean value)

#### getMaxRows

    public long getMaxRows()

#### setMaxRows

    public TFetchResultsReq setMaxRows​(long maxRows)

#### unsetMaxRows

    public void unsetMaxRows()

#### isSetMaxRows

    public boolean isSetMaxRows()

Returns true if field maxRows is set (has been assigned a value) and false otherwise

#### setMaxRowsIsSet

    public void setMaxRowsIsSet​(boolean value)

#### getFetchType

    public short getFetchType()

#### setFetchType

    public TFetchResultsReq setFetchType​(short fetchType)

#### unsetFetchType

    public void unsetFetchType()

#### isSetFetchType

    public boolean isSetFetchType()

Returns true if field fetchType is set (has been assigned a value) and false otherwise

#### setFetchTypeIsSet

    public void setFetchTypeIsSet​(boolean value)

#### getMaxBytes

    public long getMaxBytes()

#### setMaxBytes

    public TFetchResultsReq setMaxBytes​(long maxBytes)

#### unsetMaxBytes

    public void unsetMaxBytes()

#### isSetMaxBytes

    public boolean isSetMaxBytes()

Returns true if field maxBytes is set (has been assigned a value) and false otherwise

#### setMaxBytesIsSet

    public void setMaxBytesIsSet​(boolean value)

#### getStartRowOffset

    public long getStartRowOffset()

#### setStartRowOffset

    public TFetchResultsReq setStartRowOffset​(long startRowOffset)

#### unsetStartRowOffset

    public void unsetStartRowOffset()

#### isSetStartRowOffset

    public boolean isSetStartRowOffset()

Returns true if field startRowOffset is set (has been assigned a value) and false otherwise

#### setStartRowOffsetIsSet

    public void setStartRowOffsetIsSet​(boolean value)

#### isIncludeResultSetMetadata

    public boolean isIncludeResultSetMetadata()

#### setIncludeResultSetMetadata

    public TFetchResultsReq setIncludeResultSetMetadata​(boolean includeResultSetMetadata)

#### unsetIncludeResultSetMetadata

    public void unsetIncludeResultSetMetadata()

#### isSetIncludeResultSetMetadata

    public boolean isSetIncludeResultSetMetadata()

Returns true if field includeResultSetMetadata is set (has been assigned a value) and false otherwise

#### setIncludeResultSetMetadataIsSet

    public void setIncludeResultSetMetadataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TFetchResultsReq._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`

#### getFieldValue

    public Object getFieldValue​(TFetchResultsReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`

#### isSet

    public boolean isSet​(TFetchResultsReq._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TFetchResultsReq that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TFetchResultsReq other)

Specified by:
  `compareTo` in interface `Comparable<TFetchResultsReq>`

#### fieldForId

    public TFetchResultsReq._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TFetchResultsReq,​TFetchResultsReq._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`